package com.gaowj.util;

import java.util.Map;

import com.gaowj.business.comp.BusinessManager;
import com.jw.app.business.UnitBusiness;

public class LdapOuUtils {
	public static String ldapOu(String[] split){
		String rdn2 = "";
		for(int i = 0 ; i < split.length -2 ; i++){
			String rdn3 = split[i];
			UnitBusiness business = BusinessManager.getBusiness(UnitBusiness.class);
			Map<String, Object> map = business.list_unit_ldap_ou(rdn3);
			rdn2 = rdn2 + "ou="+map.get("NAME")+"("+map.get("UNIT_ID")+"),";
		}
		return rdn2;	
	}

}
